summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThomas Vander Stichele <thomas@apestaart.org>2008-06-20 16:29:23 +0000
committerThomas Vander Stichele <thomas@apestaart.org>2008-06-20 16:29:23 +0000
commit05ff22f68ccac51a7f02da4d963a7c4bc327e64a (patch)
treeca14dc3d908e3abdb756b9e95105f51c8711a862 /scripts
parentdef24f00efb08af3ae4bba772ee94335178f9460 (diff)
scripts/cvs-update.sh: Pass arguments to make.
Original commit message from CVS: * scripts/cvs-update.sh: Pass arguments to make. Run autoregen.sh if Makefile is not there.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/cvs-update.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/scripts/cvs-update.sh b/scripts/cvs-update.sh
index fb8ea2883..a0437e14a 100755
--- a/scripts/cvs-update.sh
+++ b/scripts/cvs-update.sh
@@ -23,14 +23,26 @@ for m in \
cd ..
continue
fi
- make
+ if test ! -e Makefile
+ then
+ ./autoregen.sh
+ if test $? -ne 0
+ then
+ FAILURE="$FAILURE$m: autoregen.sh\n"
+ cd ..
+ continue
+ fi
+ fi
+
+ make $@
if test $? -ne 0
then
FAILURE="$FAILURE$m: make\n"
cd ..
continue
fi
- make check
+
+ make $@ check
if test $? -ne 0
then
FAILURE="$FAILURE$m: check\n"